> ## Documentation Index
> Fetch the complete documentation index at: https://docs.orgo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get computer

> Retrieve a computer by ID.

Returns computer details including current status.

## Path parameters

<ParamField path="id" type="string" required>
  Computer ID (UUID).
</ParamField>

## Response

<ResponseField name="id" type="string">
  Computer identifier (UUID).
</ResponseField>

<ResponseField name="name" type="string">
  Computer name.
</ResponseField>

<ResponseField name="project_name" type="string">
  Name of the parent workspace.
</ResponseField>

<ResponseField name="os" type="string">
  Operating system.
</ResponseField>

<ResponseField name="ram" type="integer">
  RAM in GB.
</ResponseField>

<ResponseField name="cpu" type="integer">
  CPU cores.
</ResponseField>

<ResponseField name="status" type="string">
  One of `creating`, `starting`, `running`, `stopping`, `stopped`, `restarting`, `deleting`, `error`.
</ResponseField>

<ResponseField name="url" type="string">
  Dashboard URL.
</ResponseField>

<ResponseField name="created_at" type="string">
  ISO 8601 timestamp.
</ResponseField>

<ResponseField name="instance_id" type="string">
  Stable identifier for the underlying compute instance. Use this to construct the `hostname`.
</ResponseField>

<ResponseField name="hostname" type="string">
  Same-origin host for the computer's connection endpoints (`www.orgo.ai`).
</ResponseField>

<ResponseField name="connection_url" type="string">
  Same-origin connection base (`https://www.orgo.ai/desktops/{instance_id}`). Append `/ws/websockify`, `/ws/terminal`, or `/ws/audio` for the WebSocket endpoints; HTTP Desktop API calls go to `https://www.orgo.ai/api/desktops/{instance_id}/proxy/{endpoint}`.
</ResponseField>

<ResponseField name="vnc_password" type="string">
  Current VNC / WebSocket token. Rotates on restart.
</ResponseField>

## Example

<CodeGroup>
  ```bash cURL theme={null}
  curl https://www.orgo.ai/api/computers/a3bb189e-8bf9-3888-9912-ace4e6543002 \
    -H "Authorization: Bearer $ORGO_API_KEY"
  ```

  ```python Python theme={null}
  import requests

  response = requests.get(
      f"https://www.orgo.ai/api/computers/{computer_id}",
      headers={"Authorization": f"Bearer {api_key}"}
  )

  computer = response.json()
  print(f"Status: {computer['status']}")
  ```

  ```javascript JavaScript theme={null}
  const response = await fetch(`https://www.orgo.ai/api/computers/${computerId}`, {
    headers: { 'Authorization': `Bearer ${apiKey}` }
  });

  const computer = await response.json();
  console.log(`Status: ${computer.status}`);
  ```
</CodeGroup>

### Response

```json theme={null}
{
  "id": "a3bb189e-8bf9-3888-9912-ace4e6543002",
  "name": "agent-1",
  "project_name": "production",
  "os": "linux",
  "ram": 4,
  "cpu": 1,
  "status": "running",
  "url": "https://orgo.ai/workspaces/a3bb189e-8bf9-3888-9912-ace4e6543002",
  "created_at": "2026-04-07T10:35:00Z"
}
```

## Errors

* `401` - Invalid or missing API key
* `403` - You don't have access to this computer
* `404` - Computer not found


## OpenAPI

````yaml GET /computers/{id}
openapi: 3.1.0
info:
  title: Orgo API
  description: >-
    Launch cloud computers that AI agents can control and interact with. Create
    workspaces, provision computers, and control them programmatically.
  version: 2.0.0
  contact:
    name: Orgo Support
    email: spencer@orgo.ai
    url: https://orgo.ai
servers:
  - url: https://www.orgo.ai/api
    description: Production
security:
  - bearerAuth: []
tags:
  - name: Workspaces
    description: Organize computers into named workspaces
  - name: Computers
    description: Provision and manage virtual computers
  - name: Computer Lifecycle
    description: Start, stop, and restart computers
  - name: Computer Actions
    description: Control mouse, keyboard, and execute commands
  - name: Streaming
    description: Stream computer display via RTMP
  - name: Files
    description: Upload and download files
  - name: Templates
    description: Author, build, and launch reproducible computers from templates
paths:
  /computers/{id}:
    get:
      tags:
        - Computers
      summary: Get computer
      description: Returns computer details including current status.
      operationId: getComputer
      parameters:
        - name: id
          in: path
          required: true
          description: Computer ID
          schema:
            type: string
      responses:
        '200':
          description: Computer details
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Computer'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '404':
          $ref: '#/components/responses/NotFound'
components:
  schemas:
    Computer:
      type: object
      properties:
        id:
          type: string
          description: Unique computer identifier
          example: a3bb189e-8bf9-3888-9912-ace4e6543002
        name:
          type: string
          description: Computer name
          example: agent-1
        project_name:
          type: string
          description: Name of the parent workspace
          example: production
        os:
          type: string
          enum:
            - linux
          description: Operating system
          example: linux
        ram:
          type: integer
          enum:
            - 4
            - 8
            - 16
            - 32
            - 64
          description: RAM in GB
          example: 4
        cpu:
          type: integer
          enum:
            - 1
            - 2
            - 4
            - 8
            - 16
          description: CPU cores
          example: 1
        disk_size_gb:
          type: integer
          description: Disk size in GB
          example: 8
        status:
          type: string
          enum:
            - creating
            - starting
            - running
            - stopping
            - stopped
            - restarting
            - deleting
            - error
          description: Current status
          example: running
        url:
          type: string
          description: Dashboard URL for the computer
          example: https://orgo.ai/workspaces/a3bb189e-8bf9-3888-9912-ace4e6543002
        created_at:
          type: string
          format: date-time
        instance_id:
          type: string
          description: >-
            Stable identifier for the underlying compute instance. Use this for
            proxy hostnames and for any client that needs to reference the VM
            across restarts.
          example: a3881618
        hostname:
          type: string
          description: >-
            Same-origin host for the computer's connection endpoints (always
            `www.orgo.ai`).
          example: www.orgo.ai
        connection_url:
          type: string
          description: >-
            Same-origin connection base
            (https://www.orgo.ai/desktops/{instance_id}). Append /ws/websockify,
            /ws/terminal, or /ws/audio for WebSocket endpoints; HTTP Desktop API
            calls go to
            https://www.orgo.ai/api/desktops/{instance_id}/proxy/{endpoint}.
          example: https://www.orgo.ai/desktops/a3881618
        vnc_password:
          type: string
          description: >-
            VNC / WebSocket Bearer token. Rotates on every restart - do not
            persist across restarts.
          example: a06db12a8683df96
    Error:
      type: object
      properties:
        error:
          type: string
          description: Error message
  responses:
    Unauthorized:
      description: Invalid or missing API key
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
          example:
            error: Invalid API key
    NotFound:
      description: Resource not found
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
          example:
            error: Resource not found
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: API key authentication. Get your key at orgo.ai/workspaces

````